The table below shows the details of the toolchains in the 2023 stage:

- Base

| Toolchain name  |     Toolchain version     | Underlying GCC |     Compiler     |          MPI            |   CUDA   | Math libraries |  Includes software from   |
|-----------------|---------------------------|----------------|------------------|-------------------------|----------|----------------|---------------------------|
| GCCcore         | 11.3.0                    | 11.3.0         |                  |                         |          |                |                           |

- Compilers

| Toolchain name  |     Toolchain version     | Underlying GCC |     Compiler     |          MPI            |   CUDA   | Math libraries |  Includes software from   |
|-----------------|---------------------------|----------------|------------------|-------------------------|----------|----------------|---------------------------|
| GCC             | 11.3.0                    | 11.3.0         | GCC 11.3.0       |                         |          |                | GCCcore                   |
| NVHPC           | TBD-GCC-11.3.0            | 11.3.0         | NVHPC TBD        |                         | 11.7§    |                | GCCcore                   |
| intel-compilers | 2022.1.0                  | 11.3.0         | Intel 2022.1.0   |                         |          |                | GCCcore                   |

- Compilers+MPI

| Toolchain name  |     Toolchain version     | Underlying GCC |     Compiler     |          MPI            |   CUDA   | Math libraries |  Includes software from   |
|-----------------|---------------------------|----------------|------------------|-------------------------|----------|----------------|---------------------------|
| gpsmpi          | 2022a                     | 11.3.0         | GCC 11.3.0       | ParaStationMPI 5.X      | 11.7§    |                | GCCcore, GCC              |
| nvompic         | 2022a                     | 11.3.0         | NVHPC TBD        | OpenMPI 4.1.X           | 11.7     |                | GCCcore, NVHPC            |
| npsmpic         | 2022a                     | 11.3.0         | NVHPC TBD        | ParaStationMPI 5.X      | 11.7     |                | GCCcore, NVHPC            |
| ipsmpi          | 2022a                     | 11.3.0         | Intel 2022.1.0   | ParaStationMPI 5.X      | 11.7§    |                | GCCcore, intel-compilers  |
| iimpi           | 2022a                     | 11.3.0         | Intel 2022.1.0   | Intel MPI 2021.X.Y      |          |                | GCCcore, intel-compilers  |
| gompi           | 2022a                     | 11.3.0         | GCC 11.3.0       | OpenMPI 4.1.X           | 11.7§    |                | GCCcore, GCC              |
| iompi           | 2022a                     | 11.3.0         | Intel 2022.1.0   | OpenMPI 4.1.X           | 11.7§    |                | GCCcore, intel-compilers  |

- Compilers+MPI+Math

| Toolchain name  |     Toolchain version     | Underlying GCC |     Compiler     |          MPI            |   CUDA   | Math libraries |  Includes software from   |
|-----------------|---------------------------|----------------|------------------|-------------------------|----------|----------------|---------------------------|
| foss            | 2022a                     | 11.3.0         | GCC 11.3.0       | OpenMPI 4.1.X           | 11.7§    | FlexiBlas (MKL 2022.1.0, BLIS 0.9.0, OpenBLAS 0.3.20) | GCCcore, GCC, gopmpi      |
| gpsmkl          | 2022a                     | 11.3.0         | GCC 11.3.0       | ParaStationMPI 5.X      | 11.7§    | MKL 2022.1.0   | GCCcore, GCC, gpsmpi      |
| gomkl           | 2022a                     | 11.3.0         | GCC 11.3.0       | OpenMPI 4.1.X           | 11.7§    | MKL 2022.1.0   | GCCcore, GCC, gompi       |
| intel           | 2022a                     | 11.3.0         | Intel 2022.1.0   | Intel MPI 2021.X.Y      |          | MKL 2022.1.0   | GCCcore, GCC, iimpi       |
| intel-para      | 2022a                     | 11.3.0         | Intel 2022.1.0   | ParaStationMPI 5.X      |          | MKL 2022.1.0   | GCCcore, GCC, ipsmpi      |
| iomkl           | 2022a                     | 11.3.0         | Intel 2022.1.0   | OpenMPI 4.1.X           | 11.7§    | MKL 2022.1.0   | GCCcore, GCC, iompi       |


§ Not included in the toolchain just as dependency

The `-mt` toolchain versions dissapeared in 2021. They are installed now as "side MPIs"
